baseURL: https://cavaliba.com/
languageCode: en-us
title: cavaliba.com


module:
  imports:
    - path: github.com/imfing/hextra



params:

  description: Modern, responsive, batteries-included Hugo theme for creating beautiful static websites.

  navbar:
    displayTitle: true
    displayLogo: true
    width: wide
    logo:
      path: images/c.svg
      dark: images/c.svg
      link: /
      width: 20
      height: 20

  page:
    # full (100%), wide (90rem), normal (80rem)
    width: normal

  theme:
    # light | dark | system
    default: system
    displayToggle: true

  footer:
    enable: true
    displayCopyright: false
    displayPoweredBy: true
    width: normal

  # Display the last modification date
  displayUpdatedDate: false
  dateFormat: "January 2, 2006"

  # Search
  # flexsearch is enabled by default
  search:
    enable: true
    type: flexsearch

    flexsearch:
      # index page by: content | summary | heading | title
      index: content
      # full | forward | reverse | strict
      # https://github.com/nextapps-de/flexsearch/#tokenizer-prefix-search
      tokenize: forward

  editURL:
    enable: false
    base: "https://github.com/imfing/hextra/edit/main/exampleSite/content"

  # blog:
  #   list:
  #     displayTags: true
  #     # date | lastmod | publishDate | title | weight
  #     sortBy: date
  #     sortOrder: desc # or "asc"

    # article:
    #   displayPagination: true

  toc:
    displayTags: true

  highlight:
    copy:
      enable: true
      # hover | always
      display: hover

  comments:
    enable: false
    # type: giscus

    # # https://giscus.app/
    # giscus:
    #   repo: imfing/hextra
    #   repoId: R_kgDOJ9fJag
    #   category: General
    #   categoryId: DIC_kwDOJ9fJas4CY7gW
    #   # mapping: pathname
    #   # strict: 0
    #   # reactionsEnabled: 1
    #   # emitMetadata: 0
    #   # inputPosition: top
    #   # lang: en
    #   # theme: noborder_dark

menu:
  main:
    - identifier: documentation
      name: Documentation
      pageRef: /docs
      weight: 1
    - name: Download
      weight: 2
      url: https://cavaliba.com/download/cavaliba/
    - name: Search
      weight: 7
      params:
        type: search

  # sidebar:
  #   - identifier: more
  #     name: More
  #     params:
  #       type: separator
  #     weight: 1
  #   - identifier: about
  #     name: "About"
  #     pageRef: "/about"
  #     weight: 2
  #   - identifier: hugoDocs
  #     name: "Hugo Docs ↗"
  #     url: "https://gohugo.io/documentation/"
  #     weight: 3

markup:
  highlight:
    noClasses: false
  goldmark:
    renderer:
      unsafe: true
    extensions:
      passthrough:
        delimiters:
          block: [['\[', '\]'], ['$$', '$$']]
          inline: [['\(', '\)']]
        enable: true


enableInlineShortcodes: true

